Subject: bug#52061: 29.0.50; gnus seems to ignore gnus-parameter-to-list-alist

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 24 Nov 2021 08:44:40 +0100

Steingold <[email-masked]> writes:

> I read the ACM RISKS Forum as gmane.comp.security.risks newsgroup.
>
> When I try to reply, my message composition buffer contains
>
> Newsgroups: gmane.comp.security.risks
>
> despite `gnus-parameter-to-list-alist` containing
>
>      ("gmane.comp.security.risks" "[email-masked]")
>
> and when I hit C-c C-c to sent, I get

The help here says:

---
(gnus-define-group-parameter
 to-list
 :function-document
 "Return GROUP's to-list."
 :variable-document
 "*Alist of group regexps and correspondent to-lists."
 :variable-group gnus-group-parameter
 :parameter-type '(gnus-email-address :tag "To List")
 :parameter-document "\
This address will be used when doing a `a' in the group.

It is totally ignored when doing a followup--except that if it is
present in a news group, you'll get mail group semantics when doing
`f'.
---

Which is pretty confusing.  Hm.

When you say you reply, do you mean the `f' command?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no